# ocaml-findlib

Findlib is a library manager for Objective Caml.
It provides a convention how to store libraries, and a file format ("META") to describe the properties of libraries.
There is also a tool (ocamlfind) for interpreting the META files, so that it is very easy to use libraries in programs and scripts.
The information in META includes version string, compiler options for using the library, and dependencies on other libraries.
Writing META files is straight-forward, and comes close to filling out a template.
The ocamlfind tool makes it very easy to use libraries from O'Caml programs.
Basically, ocamlfind is a compiler driver that interprets some additional command-line switches for selecting libraries.
It is also possible to use ocamlfind as query tool to extract data from the library base.
After years of development, Findlib is now the de-facto standard for library management in O'Caml.
A lot of free software for O'Caml now requires that Findlib is available on the system.
Distributions like GODI and Debian ensure that all libraries come with META files.

